=== modified file 'plugin/memcached_functions/memc_decrement.cc'
--- plugin/memcached_functions/memc_decrement.cc	2009-10-08 22:42:05 +0000
+++ plugin/memcached_functions/memc_decrement.cc	2009-11-16 20:31:54 +0000
@@ -44,7 +44,7 @@
 String *MemcachedDecrement::val_str(String *str)
 {
   memcached_return rc;
-  int64_t offset;
+  uint32_t offset;
   uint64_t value;
   size_t val_len;
   char tmp_buff[32]= "";
@@ -61,7 +61,7 @@
 
   if (arg_count == 2) {
     dec_str= args[1]->val_str(str);
-    offset= atoi(dec_str->c_ptr());
+    offset= (uint32_t)atoi(dec_str->c_ptr());
   }
   else
   {

=== modified file 'plugin/memcached_functions/memc_increment.cc'
--- plugin/memcached_functions/memc_increment.cc	2009-10-08 22:42:05 +0000
+++ plugin/memcached_functions/memc_increment.cc	2009-11-16 20:31:54 +0000
@@ -45,7 +45,7 @@
 String *MemcachedIncrement::val_str(String *str)
 {
   memcached_return rc;
-  int64_t offset;
+  uint32_t offset;
   uint64_t value;
   size_t val_len;
   char tmp_buff[32]= "";
@@ -61,7 +61,7 @@
 
   if (arg_count == 2) {
     inc_str= args[1]->val_str(str);
-    offset= atoi(inc_str->c_ptr());
+    offset= (uint32_t)atoi(inc_str->c_ptr());
   }
   else
   {

